#include <sourcemod>

#pragma semicolon 1

#define MAX_PLAYERS 32

public Plugin:myinfo = 
{
	name = "Welcome message", 
	author = "vintage", 
	description = "MultiLangage Welcome message", 
	version = "1.0", 
	url = ""
};

new Handle:Welcome_Timer[MAX_PLAYERS + 1];

public OnPluginStart()
{
	LoadTranslations("welcome.phrases");
}

public OnClientPutInServer(client)
{
	Welcome_Timer[client] = CreateTimer(15.0, Message_welcome, client);
}

public OnClientDisconnect(client)
{
	if (Welcome_Timer[client] != INVALID_HANDLE)
	{
		KillTimer(Welcome_Timer[client]);
		Welcome_Timer[client] = INVALID_HANDLE;
	}
}

public Action:Message_welcome(Handle:timer, any:client)
{
	new String:name[32];
	GetClientName(client, name, sizeof(name));
	PrintHintText(client, "%t", "Message", name);
	Welcome_Timer[client] = INVALID_HANDLE;
}
